# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "citadel_types"
version = "0.8.0"
authors = ["Thomas Braun <thomas.braun@avarok.net>"]
description = "Types for the citadel protocol"
homepage = "https://avarok.net/"
readme = "README.md"
categories = [
    "cryptography",
    "network-programming",
    "asynchronous",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/Avarok-Cybersecurity/Citadel-Protocol"

[dependencies.bincode2]
version = "2.0.1"
default-features = false

[dependencies.bytes]
version = "1.3.0"
features = ["serde"]
default-features = false

[dependencies.packed_struct]
version = "0.10.1"
features = ["serde"]

[dependencies.serde]
version = "1.0.152"
features = ["derive"]
default-features = false

[dependencies.strum]
version = "0.26.2"
features = ["derive"]
default-features = false

[dependencies.twox-hash]
version = "1.6.3"
default-features = false

[dependencies.uuid]
version = "1.2.2"
features = ["v4"]
default-features = false

[target."cfg(target_family = \"unix\")".dependencies.libc]
version = "0.2.139"
default-features = false

[target."cfg(target_family = \"windows\")".dependencies.kernel32-sys]
version = "0.2.2"
default-features = false
